#include <stdio.h>
#include <malloc.h>

int test(int *a, int n, int M, int k)
{
    int i;
    if (M == 0)
        return 1;
    if (n == 0)
        return 0;
    for (i = 0; i <= k; i++)
    {
        if (M >= a[n-1]*i)
        {
            if (test(a, n-1, M-a[n-1]*i, k-i))
                return 1;
        }
    }
    return 0;
}

int main()
{
    int i, n, M, k;
    int *a;

    scanf("%d", &n);
    a = (int *)malloc(sizeof(int) * n);
    for (i = 0; i < n; i++)
    {
        scanf("%d", &a[i]);
    }

    scanf("%d,%d", &M, &k);
    while (M != 0 && k != 0)
    {
        if (test(a, n, M, k))
            printf("yes\n");
        else
            printf("no\n");
        scanf("%d,%d", &M, &k);
    }
    free(a);
    return 0;
}

